| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__DnmModificationKey Struct Reference
Display Number Modification

DNM Modification Key. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | FromBgName
| The name of the Originating Business Group. More...
xsd__string | ToBgName
| The name of the Terminating Business Group. More...
xsd__string | FromNpName
| The name of the Originating Numbering Plan for this DN Modification entry. More...
xsd__string | ToNpName
| The name of the Terminating Numbering Plan for this DN Modification entry. More...
struct unsp__DnmEndpoint | ToEndpoint
| Specifies the Type of the Terminating Endpoint. More...
enum unsp__DnmTon | InputTON
| A part of the key used to qualify the type of number for which this Number Modification entry applies. More...
xsd__unsignedInt | Priority
| The value of priority that applies to the Input TON. More...

## Detailed Description

DNM Modification Key.

## Member Data Documentation

## ◆ FromBgName

xsd__string unsp__DnmModificationKey::FromBgName

The name of the Originating Business Group.

When the corresponding XML tag has no value (tag is empty) the 'ANY' BgName will be used instead.
required: true

See also
  unsp__BGName

## ◆ FromNpName

xsd__string unsp__DnmModificationKey::FromNpName

The name of the Originating Numbering Plan for this DN Modification entry.

Empty XML tag implies usage of NP 'ANY'.
required: true

See also
  unsp__NumberPlanName

## ◆ InputTON

enum unsp__DnmTon unsp__DnmModificationKey::InputTON

A part of the key used to qualify the type of number for which this Number Modification entry applies.

required: true
default value[range]: DNM_TON_International

## ◆ Priority

xsd__unsignedInt unsp__DnmModificationKey::Priority

The value of priority that applies to the Input TON.

required: true
default value[range]: 1 [1..4]

## ◆ ToBgName

xsd__string unsp__DnmModificationKey::ToBgName

The name of the Terminating Business Group.

When the corresponding XML tag has no value (tag is empty) the 'ANY' BgName will be used instead.
required: true

See also
  unsp__BGName

## ◆ ToEndpoint

struct unsp__DnmEndpoint unsp__DnmModificationKey::ToEndpoint

Specifies the Type of the Terminating Endpoint.

required: true

## ◆ ToNpName

xsd__string unsp__DnmModificationKey::ToNpName

The name of the Terminating Numbering Plan for this DN Modification entry.

Empty XML tag implies usage of NP 'ANY'.
required: true

See also
  unsp__NumberPlanName

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h